<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'inventory',

    /*
     * Package.
     */
    'package'   => 'item',

    /*
     * Modules.
     */
    'modules'   => ['unit', 'item', 'category'],

    'unit'       => [
        'model' => [
            'model'                 => \Inventory\Item\Models\Unit::class,
            'table'                 => 'units',
            'presenter'             => \Inventory\Item\Repositories\Presenter\UnitPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'name',  'description',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'item/unit',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Inventory',
            'package'   => 'Item',
            'module'    => 'Unit',
        ],

    ],
    'item'       => [
        'model' => [
            'model'                 => \Inventory\Item\Models\Item::class,
            'table'                 => 'items',
            'presenter'             => \Inventory\Item\Repositories\Presenter\ItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'account_id',  'category_id',  'unit_id',  'slug',  'name',  'description',  'type',  'sku',  'hsn_code',  'barcode',  'tax_preference',  'sale_info',  'sale_selling_price',  'sale_account_id',  'sale_description',  'purchase_info',  'purchase_cost',  'purchase_account_id',  'purchase_desciption',  'status',  'intra_state_tax',  'inter_state_tax',  'track_inventory',  'created_source',  'quantity',  'order',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'item/item',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Inventory',
            'package'   => 'Item',
            'module'    => 'Item',
        ],

    ],
    'category'       => [
        'model' => [
            'model'                 => \Inventory\Item\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Inventory\Item\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'name',  'description',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'item/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Inventory',
            'package'   => 'Item',
            'module'    => 'Category',
        ],

    ],
];
