<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateItemsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: items
         */
        Schema::create('items', function ($table) {
            $table->increments('id');
            $table->integer('account_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('unit_id')->nullable();
            $table->string('slug', 255)->nullable();
            $table->longText('name')->nullable();
            $table->text('description')->nullable();
            $table->enum('type', ['Goods','Service'])->nullable();
            $table->string('sku', 200)->nullable();
            $table->string('hsn_code', 100)->nullable();
            $table->string('barcode', 255)->nullable();
            $table->enum('tax_preference', ['Taxable','Not Taxable'])->nullable();
            $table->tinyInteger('sale_info')->nullable();
            $table->float('sale_selling_price')->nullable();
            $table->integer('sale_account_id')->nullable();
            $table->text('sale_description')->nullable();
            $table->tinyInteger('purchase_info')->nullable();
            $table->float('purchase_cost')->nullable();
            $table->integer('purchase_account_id')->nullable();
            $table->text('purchase_desciption')->nullable();
            $table->enum('status', ['Active','Inactive'])->nullable();
            $table->integer('intra_state_tax')->nullable();
            $table->integer('inter_state_tax')->nullable();
            $table->tinyInteger('track_inventory')->nullable();
            $table->string('created_source', 255)->nullable();
            $table->integer('quantity')->nullable();
            $table->integer('order')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('items');
    }
}
