Lavalite package that provides item management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `inventory/item`.

    "inventory/item": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Inventory\Item\Providers\ItemServiceProvider::class,

And also add it to alias

    'Item'  => Inventory\Item\Facades\Item::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Inventory\\ItemTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Inventory\Item\Providers\ItemServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Inventory\Item\Providers\ItemServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Inventory\Item\Providers\ItemServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/item/{modulename}

**User**

    http://path-to-route-folder/user/item/{modulename}

**Public**

    http://path-to-route-folder/items


### API endpoints

**List**

    http://path-to-route-folder/api/user/item/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/item/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/item/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/item/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/item/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/item/{modulename}/{slug}
    METHOD: GET