<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for item in item package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  item module in item package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Item',
    'names'         => 'Items',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Items',
        'sub'   => 'Items',
        'list'  => 'List of items',
        'edit'  => 'Edit item',
        'create'    => 'Create new item'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => ['Goods','Service'],
            'tax_preference'      => ['Taxable','Not Taxable'],
            'status'              => ['Active','Inactive'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'account_id'                 => 'Please enter account id',
        'category_id'                => 'Please enter category id',
        'unit_id'                    => 'Please enter unit id',
        'slug'                       => 'Please enter slug',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'type'                       => 'Please select type',
        'sku'                        => 'Please enter sku',
        'hsn_code'                   => 'Please enter hsn code',
        'barcode'                    => 'Please enter barcode',
        'tax_preference'             => 'Please select tax preference',
        'sale_info'                  => 'Please enter sale info',
        'sale_selling_price'         => 'Please enter sale selling price',
        'sale_account_id'            => 'Please enter sale account id',
        'sale_description'           => 'Please enter sale description',
        'purchase_info'              => 'Please enter purchase info',
        'purchase_cost'              => 'Please enter purchase cost',
        'purchase_account_id'        => 'Please enter purchase account id',
        'purchase_desciption'        => 'Please enter purchase desciption',
        'status'                     => 'Please select status',
        'intra_state_tax'            => 'Please enter intra state tax',
        'inter_state_tax'            => 'Please enter inter state tax',
        'track_inventory'            => 'Please enter track inventory',
        'created_source'             => 'Please enter created source',
        'quantity'                   => 'Please enter quantity',
        'order'                      => 'Please enter order',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'account_id'                 => 'Account id',
        'category_id'                => 'Category id',
        'unit_id'                    => 'Unit id',
        'slug'                       => 'Slug',
        'name'                       => 'Name',
        'description'                => 'Description',
        'type'                       => 'Type',
        'sku'                        => 'Sku',
        'hsn_code'                   => 'Hsn code',
        'barcode'                    => 'Barcode',
        'tax_preference'             => 'Tax preference',
        'sale_info'                  => 'Sale info',
        'sale_selling_price'         => 'Sale selling price',
        'sale_account_id'            => 'Sale account id',
        'sale_description'           => 'Sale description',
        'purchase_info'              => 'Purchase info',
        'purchase_cost'              => 'Purchase cost',
        'purchase_account_id'        => 'Purchase account id',
        'purchase_desciption'        => 'Purchase desciption',
        'status'                     => 'Status',
        'intra_state_tax'            => 'Intra state tax',
        'inter_state_tax'            => 'Inter state tax',
        'track_inventory'            => 'Track inventory',
        'created_source'             => 'Created source',
        'quantity'                   => 'Quantity',
        'order'                      => 'Order',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'account_id'                 => ['name' => 'Account id', 'data-column' => 1, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 2, 'checked'],
        'unit_id'                    => ['name' => 'Unit id', 'data-column' => 3, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 4, 'checked'],
        'sku'                        => ['name' => 'Sku', 'data-column' => 5, 'checked'],
        'hsn_code'                   => ['name' => 'Hsn code', 'data-column' => 6, 'checked'],
        'quantity'                   => ['name' => 'Quantity', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Items',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
