<?php

namespace Inventory\Item;

use User;

class Item
{
    /**
     * $unit object.
     */
    protected $unit;    /**
     * $item object.
     */
    protected $item;    /**
     * $category object.
     */
    protected $category;

    /**
     * Constructor.
     */
    public function __construct(\Inventory\Item\Interfaces\UnitRepositoryInterface $unit,        \Inventory\Item\Interfaces\ItemRepositoryInterface $item,        \Inventory\Item\Interfaces\CategoryRepositoryInterface $category)
    {
        $this->unit = $unit;        $this->item = $item;        $this->category = $category;
    }

    /**
     * Returns count of item.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.unit.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->unit->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\UnitUserCriteria());
        }

        $unit = $this->unit->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('item::' . $view, compact('unit'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.item.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->item->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\ItemUserCriteria());
        }

        $item = $this->item->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('item::' . $view, compact('item'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->category->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\CategoryUserCriteria());
        }

        $category = $this->category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('item::' . $view, compact('category'))->render();
    }
}
