<?php

namespace Inventory\Item\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Unit policy
        'Inventory\Item\Models\Unit' => \Inventory\Item\Policies\UnitPolicy::class,// Bind Item policy
        'Inventory\Item\Models\Item' => \Inventory\Item\Policies\ItemPolicy::class,// Bind Category policy
        'Inventory\Item\Models\Category' => \Inventory\Item\Policies\CategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
