<?php

namespace Inventory\Item\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ItemTransformer extends TransformerAbstract
{
    public function transform(\Inventory\Item\Models\Item $item)
    {
        return [
            'id'                => $item->getRouteKey(),
            'key'               => [
                'public'    => $item->getPublicKey(),
                'route'     => $item->getRouteKey(),
            ], 
            'account_id'        => $item->account_id,
            'category_id'       => $item->category_id,
            'unit_id'           => $item->unit_id,
            'slug'              => $item->slug,
            'name'              => $item->name,
            'description'       => $item->description,
            'type'              => $item->type,
            'sku'               => $item->sku,
            'hsn_code'          => $item->hsn_code,
            'barcode'           => $item->barcode,
            'tax_preference'    => $item->tax_preference,
            'sale_info'         => $item->sale_info,
            'sale_selling_price' => $item->sale_selling_price,
            'sale_account_id'   => $item->sale_account_id,
            'sale_description'  => $item->sale_description,
            'purchase_info'     => $item->purchase_info,
            'purchase_cost'     => $item->purchase_cost,
            'purchase_account_id' => $item->purchase_account_id,
            'purchase_desciption' => $item->purchase_desciption,
            'intra_state_tax'   => $item->intra_state_tax,
            'inter_state_tax'   => $item->inter_state_tax,
            'track_inventory'   => $item->track_inventory,
            'created_source'    => $item->created_source,
            'quantity'          => $item->quantity,
            'order'             => $item->order,
            'user_id'           => $item->user_id,
            'user_type'         => $item->user_type,
            'deleted_at'        => $item->deleted_at,
            'url'               => [
                'public'    => trans_url('item/'.$item->getPublicKey()),
                'user'      => guard_url('item/item/'.$item->getRouteKey()),
            ], 
            'status'            => trans('app.'.$item->status),
            'created_at'        => format_date($item->created_at),
            'updated_at'        => format_date($item->updated_at),
        ];
    }
}