<?php

namespace Inventory\Item\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class UnitTransformer extends TransformerAbstract
{
    public function transform(\Inventory\Item\Models\Unit $unit)
    {
        return [
            'id'                => $unit->getRouteKey(),
            'key'               => [
                'public'    => $unit->getPublicKey(),
                'route'     => $unit->getRouteKey(),
            ], 
            'slug'              => $unit->slug,
            'name'              => $unit->name,
            'description'       => $unit->description,
            'user_id'           => $unit->user_id,
            'user_type'         => $unit->user_type,
            'deleted_at'        => $unit->deleted_at,
            'url'               => [
                'public'    => trans_url('item/'.$unit->getPublicKey()),
                'user'      => guard_url('item/unit/'.$unit->getRouteKey()),
            ], 
            'status'            => trans('app.'.$unit->status),
            'created_at'        => format_date($unit->created_at),
            'updated_at'        => format_date($unit->updated_at),
        ];
    }
}